'use strict';

/**
 * <p><code>Model</code> object that formats an <i>API</i>'s data.</p>
 */
class ApiModel {
    constructor() {
        this._name;
        this._description;
        this._version;
        this._basePath;
        this._endpoints = [];
        this._parameters = [];
        this._definitions = [];
        this._responses = [];
        this._sockets = [];
    }

    get name() {
        return this._name;
    }

    set name(name) {
        this._name = name;
    }

    get description() {
        return this._description;
    }

    set description(description) {
        this._description = description;
    }

    get version() {
        return this._version;
    }

    set version(version) {
        this._version = version;
    }

    get basePath() {
        return this._basePath;
    }

    set basePath(basePath) {
        this._basePath = basePath;
    }

    get endpoints() {
        return this._endpoints;
    }

    set endpoints(endpoints) {
        this._endpoints = endpoints;
    }

    get parameters() {
        return this._parameters;
    }

    set parameters(parameters) {
        this._parameters = parameters;
    }

    get definitions() {
        return this._definitions;
    }

    set definitions(definitions) {
        this._definitions = definitions;
    }

    get responses() {
        return this._responses;
    }

    set responses(responses) {
        this._responses = responses;
    }

    get sockets() {
        return this._sockets;
    }

    set sockets(sockets) {
        this._sockets = sockets;
    }
}

module.exports = ApiModel;
