'use strict';

/**
 * <p><code>Model</code> object that formats an <i>endpoint</i>'s data.</p>
 */
class EndpointModel {
    constructor() {
        this._path;
        this._functionToExec;
        this._method;
        this._summary;
        this._description;
        this._parameters = [];
        this._responses = [];
    }

    get path() {
        return this._path;
    }

    set path(path) {
        this._path = path;
    }

    get functionToExec() {
        return this._functionToExec;
    }

    set functionToExec(functionToExec) {
        this._functionToExec = functionToExec;
    }

    get method() {
        return this._method;
    }

    set method(method) {
        this._method = method;
    }

    get summary() {
        return this._summary;
    }

    set summary(summary) {
        this._summary = summary;
    }

    get description() {
        return this._description;
    }

    set description(description) {
        this._description = description;
    }

    get parameters() {
        return this._parameters;
    }

    set parameters(parameters) {
        this._parameters = parameters;
    }

    get responses() {
        return this._responses;
    }

    set responses(responses) {
        this._responses = responses;
    }
}

module.exports = EndpointModel;
