'use strict';

/**
 * <p><code>Model</code> object that formats a request <i>parameter</i>.</p>
 */
class ParameterModel {
    constructor() {
        this._definitionName;
        this._name;
        this._location;
        this._description;
        this._required;
        this._format;
    }

    get definitionName() {
        return this._definitionName;
    }

    set definitionName(definitionName) {
        this._definitionName = definitionName;
    }

    get name() {
        return this._name;
    }

    set name(name) {
        this._name = name;
    }

    get location() {
        return this._location;
    }

    set location(location) {
        this._location = location;
    }

    get description() {
        return this._description;
    }

    set description(description) {
        this._description = description;
    }

    get required() {
        return this._required;
    }

    set required(required) {
        this._required = required;
    }

    get format() {
        return this._format;
    }

    set format(format) {
        this._format = format;
    }
}

module.exports = ParameterModel;
