'use strict';

/**
 * <p><code>Model</code> object that formats a <i>schema</i>.</p>
 */
class SchemaModel {
    constructor() {
        this._description;
        this._name;
        this._format;
        this._required;
        this._type;
    }

    get description() {
        return this._description;
    }

    set description(description) {
        this._description = description;
    }

    get name() {
        return this._name;
    }

    set name(name) {
        this._name = name;
    }

    get format() {
        return this._format;
    }

    set format(format) {
        this._format = format;
    }

    get required() {
        return this._required;
    }

    set required(required) {
        this._required = required;
    }

    get type() {
        return this._type;
    }

    set type(type) {
        this._type = type;
    }
}

module.exports = SchemaModel;
