'use strict';

/**
 * <p><code>Model</code> object that formats a <i>socket</i>.</p>
 */
class SocketModel {
    constructor() {
        this._url;
        this._functionToExec;
        this._description;
        this._interval;
        this._transport;
        this._ping;
        this._format;
        this._event;
    }

    get url() {
        return this._url;
    }

    set url(url) {
        this._url = url;
    }

    get functionToExec() {
        return this._functionToExec;
    }

    set functionToExec(functionToExec) {
        this._functionToExec = functionToExec;
    }

    get description() {
        return this._description;
    }

    set description(description) {
        this._description = description;
    }

    get interval() {
        return this._interval;
    }

    set interval(interval) {
        this._interval = interval;
    }

    get transport() {
        return this._transport;
    }

    set transport(transport) {
        this._transport = transport;
    }

    get ping() {
        return this._ping;
    }

    set ping(ping) {
        this._ping = ping;
    }

    get format() {
        return this._format;
    }

    set format(format) {
        this._format = format;
    }

    get event() {
        return this._event;
    }

    set event(event) {
        this._event = event;
    }
}

module.exports = SocketModel;
