# 1.0.14 (10/12/2020)

### Features
* Added support for better mock file configurations which support path params. Added further integration testing to ensure everything works. Added more samples. Fixed an issue that caused multi-path parameter endpoints not to be correctly mapped. ([492a90d](https://bitbucket.org/damoresa/thin2-mocker/commits/492a90d))

# 1.0.12 & 1.0.13 (21/06/2019)

### Tasks
*  Ran eslint ([d9e0cce](https://bitbucket.org/damoresa/thin2-mocker/commits/d9e0cce))
*  Increased version and updated package-lock ([fd0fef5](https://bitbucket.org/damoresa/thin2-mocker/commits/fd0fef5))
*  Added changelog ([85c33e3](https://bitbucket.org/damoresa/thin2-mocker/commits/85c33e3))


### Features
*  Added Bitbucket pipelines file for automatic npm registry deployment ([548794a](https://bitbucket.org/damoresa/thin2-mocker/commits/548794a))
*  Improved additional properties support. Report errors on anonymous response or array object detection. ([6cc4934](https://bitbucket.org/damoresa/thin2-mocker/commits/6cc4934))


### Bug fixes
*  Fixed unix path support ([6ad511f](https://bitbucket.org/damoresa/thin2-mocker/commits/6ad511f))


# 1.0.11 (24/03/2019)

### Bug fixes
*  Improved primitive types support ([f080642](https://bitbucket.org/damoresa/thin2-mocker/commits/f080642))


# 1.0.10 (27/02/2019)

### Tasks
*  Added license info. ([e0e3694](https://bitbucket.org/damoresa/thin2-mocker/commits/e0e3694))


### Features
*  Added NOVA local environments support by normalizing the provided base path with the self-contained information. ([860583a](https://bitbucket.org/damoresa/thin2-mocker/commits/860583a))
*  Included ESLint and refactored rules that were broken. ([f12e1ee](https://bitbucket.org/damoresa/thin2-mocker/commits/f12e1ee))
*  Added array object responses support. ([350fdd3](https://bitbucket.org/damoresa/thin2-mocker/commits/350fdd3))


### Bug fixes
*  Validate that the generator properties do exist before attempting to extract info. ([9183b56](https://bitbucket.org/damoresa/thin2-mocker/commits/9183b56))
*  Changed the way mock function paths work to be either absolute or relative, skipping the 'js' folder previously used. Added a constant for the Swagger custom prop. name ([708862e](https://bitbucket.org/damoresa/thin2-mocker/commits/708862e))


### Refactor
*  Minor code tweaks. ([9587469](https://bitbucket.org/damoresa/thin2-mocker/commits/9587469))
*  Updated readme documentation. ([a907bb9](https://bitbucket.org/damoresa/thin2-mocker/commits/a907bb9))
*  Moved the CLI launcher into the bin folder. ([b17e572](https://bitbucket.org/damoresa/thin2-mocker/commits/b17e572))


# 1.0.9 (18/01/2019)

### Features
*  Added options to allow external file logging and log level definition via arguments. Improved the way options are tossed into the service. ([44f79a0](https://bitbucket.org/damoresa/thin2-mocker/commits/44f79a0))


### Bug fixes
*  adapted documentation to the new way of defining scripts into the swagger file ([92d6b0f](https://bitbucket.org/damoresa/thin2-mocker/commits/92d6b0f))


### Refactor
*  Added 'use strict' to all sources. ([d981348](https://bitbucket.org/damoresa/thin2-mocker/commits/d981348))


# 1.0.8 (18/12/2018)

### Features
*  Add a new input parameter to allow users to define mock binding port ([88efc3f](https://bitbucket.org/damoresa/thin2-mocker/commits/88efc3f))


# 1.0.7 (02/10/2018)

### Bug fixes
*  Fixed a bug that caused crashes when not using a mock yaml file. ([fbdb740](https://bitbucket.org/damoresa/thin2-mocker/commits/fbdb740))


# 1.0.6 (27/09/2018)

### Tasks
*  Improved README documentation ([6735214](https://bitbucket.org/damoresa/thin2-mocker/commits/6735214))


### Features
*  Added option of defining custom responses into a yml file. ([20f2e76](https://bitbucket.org/damoresa/thin2-mocker/commits/20f2e76))


### Refactor
*  Refactored the way mock functions are allocated in order to allow uri & method specific funcitons. ([492255a](https://bitbucket.org/damoresa/thin2-mocker/commits/492255a))


# 1.0.5 (18/06/2018)

### Documentation
*  Documented the new custom responses feature on the project's README ([10b5375](https://bitbucket.org/damoresa/thin2-mocker/commits/10b5375))


# 1.0.4 (15/06/2018)

### Tasks
*  Merge conflicts: src/services/swagger.parser.js ([4c188e1](https://bitbucket.org/damoresa/thin2-mocker/commits/4c188e1))


### Features
*  Included JSDoc into the project. ([7e36894](https://bitbucket.org/damoresa/thin2-mocker/commits/7e36894))
*  Allow users to define custom response controllers on the Swagger spec file. ([827ea67](https://bitbucket.org/damoresa/thin2-mocker/commits/827ea67))


### Bug fixes
*  Fixed an issue with primitive type arrays. ([f39b7bc](https://bitbucket.org/damoresa/thin2-mocker/commits/f39b7bc))
*  Changed the path callback value to avoid shadowing the path module name. ([90f9422](https://bitbucket.org/damoresa/thin2-mocker/commits/90f9422))
*  Fixed the historicLastData script because it did not return the mocked value. ([fc75d75](https://bitbucket.org/damoresa/thin2-mocker/commits/fc75d75))


### Refactor
*  Cleaned up a few lines on the launcher and the Swagger parser. ([eec44e4](https://bitbucket.org/damoresa/thin2-mocker/commits/eec44e4))


### Uncategorized
* Remove cors library and change how functions are set. ([bba0db1](https://bitbucket.org/damoresa/thin2-mocker/commits/bba0db1))
* Added custom functions for path ([362cb99](https://bitbucket.org/damoresa/thin2-mocker/commits/362cb99))


